package com.realnet.create_a_blue_20251004_121352-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.create_a_blue_20251004_121352-b.Entity.Calculatorinput;
import com.realnet.create_a_blue_20251004_121352-b.Services.CalculatorinputService ;






@RequestMapping(value = "/Calculatorinput")
 @CrossOrigin("*") 
@RestController
public class CalculatorinputController {
	@Autowired
	private CalculatorinputService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Calculatorinput")
		  public Calculatorinput Savedata(@RequestBody Calculatorinput data) {
		Calculatorinput save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Calculatorinput/{id}")
	public  Calculatorinput update(@RequestBody Calculatorinput data,@PathVariable Integer id ) {
		Calculatorinput update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Calculatorinput/getall/page")
	public Page<Calculatorinput> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Calculatorinput> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Calculatorinput")
	public List<Calculatorinput> getdetails() {
		 List<Calculatorinput> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Calculatorinput")
	public List<Calculatorinput> getallwioutsec() {
		 List<Calculatorinput> get = Service.getdetails();		
		return get;
}
@GetMapping("/Calculatorinput/{id}")
	public  Calculatorinput  getdetailsbyId(@PathVariable Integer id ) {
		Calculatorinput  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Calculatorinput/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}